<!-- /*********************************
Autor: Fco Javier Ortega Carrasco
Fecha creación: 22/10/2018
Última modificación: dd/mm/aaaa
Versión: 1.0
***********************************/ -->
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Agenda</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>


    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

    <link rel="stylesheet" type="text/css" media="screen" href="../css/agenda.css" />

    <script src="../js/agenda.js"></script>

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz"
        crossorigin="anonymous">

</head>

<body>

    <div class="container-fluid">

        <div class="header">

            <div class="registro">

                <fieldset>

                    <legend class="w-auto">Registro</legend>

                    <button class="btn btn-primary" id="btnPrimero"><i class="fas fa-angle-double-left"></i></button>

                    <button class="btn btn-primary" id="btnAnterior"><i class="fas fa-angle-left"></i></button>

                    <span id="txtPos"></span>

                    <button class="btn btn-primary" id="btnSiguiente"><i class="fas fa-angle-right"></i></button>

                    <button class="btn btn-primary" id="btnUltimo"><i class="fas fa-angle-double-right"></i></button>

                </fieldset>

            </div>


            <div class="mostrar">

                <fieldset>

                    <legend class="w-auto">Mostrar</legend>

                    <div class="form-inline">
                        
                        <span>Nº de entrada:</span>

                        <input type="text" id="txtMostrar" class="form-control" maxlength="3">

                        <button type="button" id="btnVer" class="btn btn-primary">Ver</button>

                    </div>

                </fieldset>

            </div>


        </div>

        <div class="principal">

            <div class="grid-item formulario">

                <form>

                    <div class="form-group">
                        <label for="nombre">Nombre:</label>
                        <input type="text" class="form-control" id="nombre" maxlength="25" readonly="readonly">
                        <small class="form-text text-muted" id="ayudaNombre" hidden>
                            Sólo puede contener letras.
                        </small>
                    </div>

                    <div class="form-group">
                        <label for="apellidos">Apellidos:</label>
                        <input type="text" class="form-control" id="apellidos" maxlength="30" readonly="readonly">
                        <small class="form-text text-muted" id="ayudaApellidos" hidden>
                            Sólo puede contener letras.
                        </small>
                    </div>

                    <div class="form-group">
                        <label for="telefono">Teléfono:</label>
                        <input type="text" class="form-control" id="telefono" maxlength="9" readonly="readonly">
                        <small class="form-text text-muted" id="ayudaTelefono" hidden>
                            El teléfono tiene que empezar por 6,7 o 9 y contener nueve números.
                        </small>
                    </div>

                    <div class="form-group">
                        <label for="telefono">Fecha de nacimiento:</label>
                        <input type="date" class="form-control" id="fec_nac" max="2020-12-31" maxlength="10" readonly="readonly">
                        <small class="form-text text-muted" id="ayudaFec" hidden>
                            Introduzca una fecha comprendida entre 1900 y 2020.
                        </small>
                    </div>

                </form>

            </div>

            <div class="grid-item btns">

                <fieldset>

                    <legend class="w-auto">Edición</legend>

                    <div>
                        <button class="btn btn-primary" id="btnNuevo"><i class="fas fa-user-plus"></i>Nuevo</button>

                        <button class="btn btn-danger" id="btnBorrar1" data-toggle="modal" data-target="#myModal"><i
                                class="fas fa-user-times"></i>Borrar</button>
                    </div>


                    <div>
                        <button class="btn btn-warning" id="btnEditar"><i class="fas fa-user-edit"></i>Editar</button>

                        <button class="btn btn-dark" id="btnGuardar"><i class="far fa-save"></i>Guardar</button>
                    </div>

                </fieldset>


                <div class="busqueda">

                    <fieldset>

                        <legend class="w-auto">Búsqueda</legend>

                        <div class="campo">
                            <select class="form-control" id="opcion_buscar">
                                <option value="nombre">Nombre</option>
                                <option value="apellidos">Apellidos</option>
                                <option value="telefono">Teléfono</option>
                                <option value="fecha">Fecha de nacimiento</option>
                            </select>
                        </div>


                        <div class="input-group  mb-3">

                            <input type="text" class="form-control" id="txtBuscar" placeholder="Búsqueda"
                                aria-describedby="basic-addon">

                            <div class="input-group-append">
                                <button class="btn btn-success" id="btnBuscar"><i class="fas fa-search"></i></button>
                            </div>

                        </div>

                    </fieldset>
                </div>

            </div>

        </div>

        <div class="container">

            <fieldset>

                <div class="form-inline">
                    <legend class="w-auto">Resumen</legend>
                    <span class="text-muted" id="txtEntradas"></span>
                </div>

                <div class="table-wrapper-scroll-y text-center">

                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Nombre</th>
                                <th scope="col">Apellidos</th>
                                <th scope="col">Teléfono</th>
                                <th scope="col">Fecha de Nacimiento</th>
                            </tr>
                        </thead>
                        <tbody id="tabla">
                            <!-- Contenido de la tabla -->
                        </tbody>
                    </table>

                </div>

            </fieldset>
        </div>
    </div>

    <!-- Modal Borrar Contactos -->
    <div class="modal fade" id="myModal" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">¿Desea borrar este contacto?</h4>
                </div>
                <div class="modal-body">
                    <button id="btnBorrar2" class="btn btn-danger" data-dismiss="modal">Borrar</button>
                    <button class="btn btn-primary" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Máximo Contactos -->
    <div class="modal fade" id="myModal2" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">Error</h4>
                </div>
                <div class="modal-body">
                    Se ha alcanzado el número máximo de contactos permitidos.
                </div>

                <div class="modal-footer">
                    <button class="btn btn-info" data-dismiss="modal">Aceptar</button>
                </div>

            </div>
        </div>
    </div>

</body>

</html>